--- a/.hgrc Fri Apr 13 14:53:40 2012 -0400
+++ b/.hgrc Fri Apr 13 15:08:32 2012 -0400
@@ -19,11 +19,9 @@
schemes =
progress =
fetch =
-hgsubversion = ~/lib/hg/hgsubversion/hgsubversion
-prompt = ~/lib/hg/hg-prompt/prompt.py
-histedit = ~/lib/hg/histedit/hg_histedit.py
-hggit = ~/lib/hg/hg-git/hggit
-collapse = ~/lib/hg/hgcollapse/hgext/collapse.py
+prompt = ~/lib/dotfiles/mercurial/hg-prompt/prompt.py
+histedit = ~/lib/dotfiles/mercurial/histedit/hg_histedit.py
+hggit = ~/lib/dotfiles/mercurial/hg-git/hggit
[progress]
delay = 1.0
--- a/.hgsub Fri Apr 13 14:53:40 2012 -0400
+++ b/.hgsub Fri Apr 13 15:08:32 2012 -0400
@@ -1,4 +1,7 @@
mercurial/templates = [hg]https://bitbucket.org/sjl/mercurial-cli-templates
+mercurial/hg-prompt = [hg]https://bitbucket.org/sjl/hg-prompt
+mercurial/hggit = [hg]https://bitbucket.org/durin42/hggit
+mercurial/histedit = [hg]https://bitbucket.org/durin42/histedit
vim/bundle/ack = [git]git://github.com/mileszs/ack.vim.git
vim/bundle/gundo = [hg]https://bitbucket.org/sjl/gundo.vim/
@@ -31,5 +34,3 @@
vim/bundle/badwolf = [hg]https://bitbucket.org/sjl/badwolf/
vim/bundle/tslime = [git]git://github.com/sjl/tslime.vim.git
vim/bundle/smartinput = [git]git://github.com/kana/vim-smartinput.git
-
-keymando/Plugins/abbrev = [git]git://github.com/keymando/abbrev.git
--- a/.hgsubstate Fri Apr 13 14:53:40 2012 -0400
+++ b/.hgsubstate Fri Apr 13 15:08:32 2012 -0400
@@ -1,4 +1,6 @@
-c711681883f3419b85494e3b285b988e8e2dcbca keymando/Plugins/abbrev
+661dbd42f386611a1c03f3eaf82927d3f1b874d8 mercurial/hg-prompt
+0000000000000000000000000000000000000000 mercurial/hggit
+b0da16490f168f68072973b45dbc27a74fb7b529 mercurial/histedit
4d95cb18a3b420154ef978c53de1d2e692f8343d mercurial/templates
d2bb7878622e4c16203acf1c92a0f4bc7ac58003 vim/bundle/AnsiEsc.vim
9895285042a2fd5691b2f6582aa979e4d1bdffea vim/bundle/ack
--- a/bin/bootstrap.sh Fri Apr 13 14:53:40 2012 -0400
+++ b/bin/bootstrap.sh Fri Apr 13 15:08:32 2012 -0400
@@ -1,61 +1,37 @@
#!/bin/bash
+set -e
+
# THIS IS A WORK IN PROGRESS
# BE CAREFUL, DAMMIT
-# Don't forget the SSH keys.
-# Setuptools needs to be installed.
-
mkdir -p lib/hg
mkdir -p lib/python
mkdir -p lib/virtualenvs
mkdir -p ~/bin
mkdir -p ~/src
-hg clone 'http://selenic.com/repo/hg#stable' ~/lib/hg/hg-stable
-cd ~/lib/hg/hg-stable
-make local
-cd
-export PATH="$HOME/lib/hg/hg-stable:$PATH"
-
-hg clone http://bitbucket.org/sjl/dotfiles ~/lib/dotfiles
-git clone git://github.com/sjl/oh-my-zsh ~/lib/oh-my-zsh
-git clone git://github.com/sjl/z-zsh ~/lib/z
+# hg clone 'http://selenic.com/repo/hg#stable' ~/lib/hg/hg-stable
+# cd ~/lib/hg/hg-stable
+# make local
+# cd
+# export PATH="$HOME/lib/hg/hg-stable:$PATH"
-hg clone http://bitbucket.org/ianb/pip/ ~/lib/python/pip
-cd ~/lib/python/pip
-sudo python setup.py install
-cd
-
-sudo pip install virtualenv
-
-hg clone http://bitbucket.org/dhellmann/virtualenvwrapper ~/lib/python/virtualenvwrapper
-cd ~/lib/python/virtualenvwrapper
-sudo python setup.py install
-cd
-
-ln -s "$HOME/lib/dotfiles/zsh" "$HOME/lib/oh-my-zsh/custom"
+test -d ~/lib/dotfiles || hg clone http://bitbucket.org/sjl/dotfiles ~/lib/dotfiles
+test -d ~/lib/oh-my-zsh || git clone git://github.com/sjl/oh-my-zsh ~/lib/oh-my-zsh
-ln -s "$HOME/lib/dotfiles/.ackrc" "$HOME/.ackrc"
-ln -s "$HOME/lib/dotfiles/.gitconfig" "$HOME/.gitconfig"
-ln -s "$HOME/lib/dotfiles/.hgrc" "$HOME/.hgrc"
-ln -s "$HOME/lib/dotfiles/vim" "$HOME/.vim"
-ln -s "$HOME/lib/dotfiles/vim/.vimrc" "$HOME/.vimrc"
-ln -s "$HOME/lib/dotfiles/.screenrc" "$HOME/.screenrc"
-
-rm ~/.zshrc
-rm ~/.bashrc
-rm ~/.bash_profile
-ln -s "$HOME/lib/dotfiles/.zshrc" "$HOME/.zshrc"
+function ensure_link {
+ test -L "$HOME/$2" || ln -s "$HOME/$1" "$HOME/$2"
+}
-hg clone bb://sjl/hg-prompt/ "$HOME/lib/hg/hg-prompt"
-hg clone bb://sjl/hg-paste/ "$HOME/lib/hg/hg-paste"
-hg clone bb://sjl/hg-review/ "$HOME/src/hg/hg-review"
-hg clone bb://ccaughie/hgcollapse/ "$HOME/lib/hg/hgcollapse"
-hg clone bb://durin42/histedit/ "$HOME/lib/hg/histedit"
-hg clone bb://durin42/hg-git/ "$HOME/lib/hg/hg-git"
-hg clone bb://Bill_Barry/hgattic "$HOME/lib/hg/hgattic"
-hg clone bb://edgimar/crecord "$HOME/lib/hg/crecord"
+ensure_link "lib/dotfiles/tmux/tmux.conf" ".tmux.conf"
+ensure_link "lib/dotfiles/vim" ".vim"
+ensure_link "lib/dotfiles/vim/vimrc" ".vimrc"
+ensure_link "lib/dotfiles/hgrc" ".hgrc"
+ensure_link "lib/dotfiles/gitconfig" ".gitconfig"
+ensure_link "lib/dotfiles/ackrc" ".ackrc"
+ensure_link "lib/dotfiles/zsh" "lib/oh-my-zsh/custom"
+ensure_link "lib/dotfiles/zshrc" ".zshrc"
-git clone git://github.com/jelmer/dulwich.git "$HOME/lib/dulwich"
-ln -s "$HOME/lib/dulwich/dulwich" "$HOME/lib/hg/hg-stable/dulwich"
+git clone "git://github.com/jelmer/dulwich.git" "$HOME/lib/dulwich"
+ensure_link "lib/dulwich" "lib/hg/hg-stable/dulwich"